Module java.xml
Package javax.xml.stream

## Interface StreamFilter

-     public interface StreamFilter

  This interface declares a simple filter interface that one can create to filter XMLStreamReaders
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(XMLStreamReader reader)` | Tests whether the current state is part of this stream.

- - ### Method Detail

    - #### accept

          boolean accept​(XMLStreamReader reader)

      Tests whether the current state is part of this stream. This method will return true if this filter accepts this event and false otherwise. The method should not change the state of the reader when accepting a state.
      Parameters:
        `reader` - the event to test
      Returns:
        true if this filter accepts this event, false otherwise